fastlane documentation
================
# Installation

Make sure you have the latest version of the Xcode command line tools installed:

```
xcode-select --install
```

Install _fastlane_ using
```
[sudo] gem install fastlane -NV
```
or alternatively using `brew install fastlane`

# Available Actions
## iOS
### ios lint
```
fastlane ios lint
```
Run code linter
### ios test
```
fastlane ios test
```
Runs all the tests
### ios ci
```
fastlane ios ci
```
Runs all the tests in a CI environment
### ios pod_lint
```
fastlane ios pod_lint
```
Cocoapods library lint
### ios i18n
```
fastlane ios i18n
```

### ios release
```
fastlane ios release
```
Tags the release and pushes the Podspec to CocoaPods

----

This README.md is auto-generated and will be re-generated every time [_fastlane_](https://fastlane.tools) is run.
More information about fastlane can be found on [fastlane.tools](https://fastlane.tools).
The documentation of fastlane can be found on [docs.fastlane.tools](https://docs.fastlane.tools).
